Bug 233375 - Make SOS flag the situation when running on a fully virtualized guest, but with a -xen kernel
Summary: Make SOS flag the situation when running on a fully virtualized guest, but wi...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Conklin
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-21 21:50 UTC by Chris Lalancette
Modified: 2013-04-12 19:05 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0496
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 12:38:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A quick patch to the "xen.py" module to check if running a -xen kernel on HVM guest (829 bytes, patch)
2007-04-16 20:05 UTC, Chris Lalancette
no flags Details | Diff
An updated patch for the xen plugin that reports a PV kernel on HVM (1.12 KB, patch)
2007-04-17 15:17 UTC, Chris Lalancette
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0496 normal SHIPPED_LIVE SOS bug fix update 2007-10-31 13:43:08 UTC

Description Chris Lalancette 2007-03-21 21:50:22 UTC
Description of problem:

Fully virtualized RHEL5 guests are usually run using the normal, bare-metal
kernel (i.e. kernel-2.6.18-8.el5.i686.rpm).  However, it is possible to install
the paravirtualized Xen kernel (kernel-xen-2.6.18-8.el5.i686.rpm) inside the
fully virtualized domain, and have it boot.  While this technically works, it is
not well tested, not entirely stable, and not supported.  The xen plugin for
sosreport should identify this situation and flag it in the generated report.

Steve, I can actually do this work, although I might need a little bit of
guidance from you.

Comment 1 Navid Sheikhol-Eslami 2007-03-22 09:55:23 UTC
In my opinion sosreport should only worry about gathering the information. This
check should be performed later when analysing sosreport's results.

What might be interesting is introduce this tool as part of the sosreport
project, which takes a sosreport result's tree and parses it in a similar way as
checksysreport does. I will speak with Pierre (checksysreport developer) if he
has already done some work in this direction.

-- Navid

Comment 2 Chris Lalancette 2007-03-22 15:32:14 UTC
OK, great.  Thanks for taking a look.

Chris Lalancette

Comment 3 Chris Lalancette 2007-04-16 20:05:39 UTC
Created attachment 152714 [details]
A quick patch to the "xen.py" module to check if running a -xen kernel on HVM guest

After talking with Steve Conklin, we decided this would be an easy thing to do,
and we can do it in sosreport.	We might ALSO want to do it in checksysreport. 
In any case, the attached patch applies on top of the current upstream SOS xen
plugin, and flags the situation when running a -xen (paravirtualized) kernel
INSIDE a fully virtualized guest.  This is known to cause problems.  Note that
the patch is currently untested; I'll test it out later today or tomorrow.

Comment 4 Chris Lalancette 2007-04-17 15:17:19 UTC
Created attachment 152818 [details]
An updated patch for the xen plugin that reports a PV kernel on HVM

Steve,
     I've tested this updated patch on an HVM guest both with a normal kernel
(i.e. 2.6.18-8.el5) and with a "wrong" xen kernel (i.e. 2.6.18-8.el5xen).  It
seems to do the right thing in both cases.  The only difference between this
patch and the previous one is that it adds a newline to the ends of the lines. 
I think this is now ready to be committed to SVN.

Chris Lalancette

Comment 5 Eugene Teo (Security Response) 2007-05-28 03:49:05 UTC
The patch looks good. Agreed with Navid that sosreport should only worry about
gathering information, but a warning for FV guest running a -xen kernel is useful.

Eugene

Comment 10 Red Hat Bugzilla 2007-06-27 12:38:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0496.html



Note You need to log in before you can comment on or make changes to this bug.